import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
var _class;
import React from 'react';
import { observer } from 'mobx-react';
import './index.less';
var LeftArea = observer(_class = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(LeftArea, _React$Component);
  function LeftArea() {
    return _React$Component.apply(this, arguments) || this;
  }
  var _proto = LeftArea.prototype;
  _proto.render = function render() {
    if (this.props.items.length) {
      return /*#__PURE__*/React.createElement("div", {
        className: "leftArea"
      }, this.props.items.map(function (item) {
        return /*#__PURE__*/React.createElement("div", {
          className: "item"
        }, item.content);
      }));
    } else {
      return null;
    }
  };
  return LeftArea;
}(React.Component)) || _class;
export { LeftArea as default };